var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { forwardRef } from 'react';
import { Balloon as FusionBalloon } from '@alifd/next';
import hoist from '../../../utils/hoist';
function BalloonTooltip(props, ref) {
    // 这里是在设置默认值
    return (React.createElement(FusionBalloon.Tooltip, __assign({ v2: true, delay: 150 }, props, { popupProps: __assign({ animation: {
                in: 'fadeIn',
                out: 'fadeOut',
            } }, props.popupProps), ref: ref })));
}
export default hoist(forwardRef(BalloonTooltip), FusionBalloon.Tooltip);
